#!/bin/bash
cat <<EOF
*********************************************
******    1.使用身份证查询             ******
******    2.使用手机号查询             ******
******    3.自定义编码查询             ******
******    4.全局编号ID查询             ******
******    5.机构全局ID编号查询         ******
******    6.退出                       ******
*********************************************
EOF

read -p "选择编号: " OP

case $OP in
1)
		read -p "输入身份证号：" value
		TJ="id_number ='${value}'"
        echo "身份证查询条件：${TJ}"
        ;;
2)
		read -p "输入手机号：" value
		TJ="mobile_number ='${value}'"
        echo "手机号查询条件：${TJ}"
        ;;
3)
		read -p "输入custom_code=" value
		TJ="custom_code ='${value}'"
        echo "自定义编码查询条件：${TJ}"
        ;;
4)
		read -p "输入global_id=" value
		TJ="global_id ='${value}'"
        echo "全局ID编号查询条件：${TJ}"
        ;;
5)
		read -p "输入organiz_global_id= " value
		TJ="organiz_global_id ='${value}'"
        echo "机构全局ID编号查询条件：${TJ}"
        ;;
6)
        echo "已退出！"
		exit
        ;;
*)
        echo "选择编号错误，程序已退出！"
		exit
esac

for i in $(seq 20 60);do

   host=192.168.3.$i
   port=$( grep "$host" mysqllist.txt | awk '{print $2}' )
   user=$( grep "$host" mysqllist.txt | awk '{print $3}' )
   password=$( grep "$host" mysqllist.txt | awk '{print $4}' )

   for j in $( grep $host sqllist.txt | awk '{print $2}' );do
	 echo "#!/bin/bash" > /tmp/select.sh    
	 echo "mysql -h $host -P $port -u $user -p'$password' -e \"SELECT * FROM ${j}.member_simple_info WHERE ${TJ};\"" >> /tmp/select.sh
     echo " " >> /tmp/select.sh
	 echo "============================192.168.3.$i 查询 ${j} 数据库结果为：============================" > /tmp/select.log
     bash /tmp/select.sh >> /tmp/select.log 2>&1
	 if [[ `grep -v "Using a password on the command line interface can be insecure" /tmp/select.log | wc -l` > 2 ]] ;then
			cat /tmp/select.log
	 fi
	done
done